import { Program, ProgramError } from '@metaplex-foundation/umi';
export declare class SysExInvalidSystemProgramError extends ProgramError {
    readonly name: string;
    readonly code: number;
    constructor(program: Program, cause?: Error);
}
export declare class SysExInvalidOwnerForSourceError extends ProgramError {
    readonly name: string;
    readonly code: number;
    constructor(program: Program, cause?: Error);
}
export declare function getMplSystemExtrasErrorFromCode(code: number, program: Program, cause?: Error): ProgramError | null;
export declare function getMplSystemExtrasErrorFromName(name: string, program: Program, cause?: Error): ProgramError | null;
