import { Context, PublicKey, Serializer, TransactionBuilder } from '@metaplex-foundation/umi';
export type InitializeTokenInstructionAccounts = {
    account: PublicKey;
    mint: PublicKey;
    owner: PublicKey;
    rent?: PublicKey;
};
export type InitializeTokenInstructionData = {
    discriminator: number;
};
export type InitializeTokenInstructionDataArgs = {};
export declare function getInitializeTokenInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeTokenInstructionDataArgs, InitializeTokenInstructionData>;
export declare function initializeToken(context: Pick<Context, 'serializer' | 'programs'>, input: InitializeTokenInstructionAccounts): TransactionBuilder;
