import { Context, Serializer, SolAmount, TransactionBuilder } from '@metaplex-foundation/umi';
export type SetComputeUnitPriceInstructionData = {
    discriminator: number;
    lamports: SolAmount;
};
export type SetComputeUnitPriceInstructionDataArgs = {
    lamports: SolAmount;
};
export declare function getSetComputeUnitPriceInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<SetComputeUnitPriceInstructionDataArgs, SetComputeUnitPriceInstructionData>;
export declare function setComputeUnitPrice(context: Pick<Context, 'serializer' | 'programs'>, input: SetComputeUnitPriceInstructionDataArgs): TransactionBuilder;
