import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type ApproveTokenDelegateInstructionAccounts = {
    source: PublicKey;
    delegate: PublicKey;
    owner: Signer;
};
export type ApproveTokenDelegateInstructionData = {
    discriminator: number;
    amount: bigint;
};
export type ApproveTokenDelegateInstructionDataArgs = {
    amount: number | bigint;
};
export declare function getApproveTokenDelegateInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<ApproveTokenDelegateInstructionDataArgs, ApproveTokenDelegateInstructionData>;
export declare function approveTokenDelegate(context: Pick<Context, 'serializer' | 'programs'>, input: ApproveTokenDelegateInstructionAccounts & ApproveTokenDelegateInstructionDataArgs): TransactionBuilder;
