import { Context, Pda, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type CreateEmptyLutInstructionAccounts = {
    address?: Pda;
    authority?: Signer;
    payer?: Signer;
    systemProgram?: PublicKey;
};
export type CreateEmptyLutInstructionData = {
    discriminator: number;
    recentSlot: bigint;
    bump: number;
};
export type CreateEmptyLutInstructionDataArgs = {
    recentSlot: number | bigint;
    bump: number;
};
export declare function getCreateEmptyLutInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CreateEmptyLutInstructionDataArgs, CreateEmptyLutInstructionData>;
export declare function createEmptyLut(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: CreateEmptyLutInstructionAccounts & Omit<CreateEmptyLutInstructionDataArgs, 'bump'>): TransactionBuilder;
