import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type CreateTokenIfMissingInstructionAccounts = {
    payer?: Signer;
    token?: PublicKey;
    mint: PublicKey;
    owner?: PublicKey;
    ata?: PublicKey;
    systemProgram?: PublicKey;
    tokenProgram?: PublicKey;
    ataProgram?: PublicKey;
};
export type CreateTokenIfMissingInstructionData = {
    discriminator: number;
};
export type CreateTokenIfMissingInstructionDataArgs = {};
export declare function getCreateTokenIfMissingInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CreateTokenIfMissingInstructionDataArgs, CreateTokenIfMissingInstructionData>;
export declare function createTokenIfMissing(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: CreateTokenIfMissingInstructionAccounts): TransactionBuilder;
