import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type FreezeLutInstructionAccounts = {
    address: PublicKey;
    authority?: Signer;
};
export type FreezeLutInstructionData = {
    discriminator: number;
};
export type FreezeLutInstructionDataArgs = {};
export declare function getFreezeLutInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<FreezeLutInstructionDataArgs, FreezeLutInstructionData>;
export declare function freezeLut(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: FreezeLutInstructionAccounts): TransactionBuilder;
