"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setComputeUnitPrice = exports.getSetComputeUnitPriceInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getSetComputeUnitPriceInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.u8()],
        ['lamports', (0, umi_1.mapAmountSerializer)(s.u64(), 'SOL', 9)],
    ], { description: 'SetComputeUnitPriceInstructionData' }), (value) => ({ ...value, discriminator: 3 }));
}
exports.getSetComputeUnitPriceInstructionDataSerializer = getSetComputeUnitPriceInstructionDataSerializer;
function setComputeUnitPrice(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('splComputeBudget', 'ComputeBudget111111111111111111111111111111');
    const data = getSetComputeUnitPriceInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.setComputeUnitPrice = setComputeUnitPrice;
//# sourceMappingURL=setComputeUnitPrice.js.map