import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type TransferAllSolInstructionAccounts = {
    source?: Signer;
    destination: PublicKey;
    systemProgram?: PublicKey;
};
export type TransferAllSolInstructionData = {
    discriminator: number;
};
export type TransferAllSolInstructionDataArgs = {};
export declare function getTransferAllSolInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<TransferAllSolInstructionDataArgs, TransferAllSolInstructionData>;
export declare function transferAllSol(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: TransferAllSolInstructionAccounts): TransactionBuilder;
